Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.layers
Class TiledImageLayer

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.layers.AbstractLayer
                  gov.nasa.worldwind.layers.TiledImageLayer

All Implemented Interfaces:
  AVList, Disposable, Layer, WWObject, PropertyChangeListener, EventListener

Direct Known Subclasses:
  BMNGSurfaceLayer, LandsatI3, PoliticalBoundariesLayer, USGSDigitalOrtho, USGSUrbanAreaOrtho

    public class TiledImageLayer

extends AbstractLayer

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`TiledImageLayer(LevelSet levelSet)`

Method Summary
`void` | `dispose()`
`protected void` | `doRender(DrawContext dc)`
`Color` | `getColor(Angle latitude, Angle longitude, int levelNumber)`
`boolean` | `isDrawBoundingVolumes()`
`boolean` | `isDrawTileBoundaries()`
`boolean` | `isDrawTileIDs()`
`boolean` | `isDrawWireframe()`
`boolean` | `isForceLevelZeroLoads()`
`boolean` | `isLayerInView(DrawContext dc)` Indicates whether the layer is in the view.
`boolean` | `isRetainLevelZeroTiles()`
`boolean` | `isShowImageTileOutlines()`
`boolean` | `isUseTransparentTextures()`
`void` | `setDrawBoundingVolumes(boolean drawBoundingVolumes)`
`void` | `setDrawTileBoundaries(boolean drawTileBoundaries)`
`void` | `setDrawTileIDs(boolean drawTileIDs)`
`void` | `setDrawWireframe(boolean drawWireframe)`
`void` | `setForceLevelZeroLoads(boolean forceLevelZeroLoads)`
`void` | `setRetainLevelZeroTiles(boolean retainLevelZeroTiles)`
`void` | `setShowImageTileOutlines(boolean showImageTileOutlines)`
`void` | `setUseTransparentTextures(boolean useTransparentTextures)`
`String` | `toString()`

Methods inherited from class gov.nasa.worldwind.layers.AbstractLayer
`doPick, getMaxActiveAltitude, getMinActiveAltitude, getName, getOpacity, isEnabled, isLayerActive, isPickEnabled, pick, render, setEnabled, setMaxActiveAltitude, setMinActiveAltitude, setName, setOpacity, setPickEnabled`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### TiledImageLayer

    public TiledImageLayer(LevelSet levelSet)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `AbstractLayer`

### doRender

    protected final void doRender(DrawContext dc)

  Specified by:
    `doRender` in class `AbstractLayer`

### getColor

    public Color getColor(Angle latitude,
                          Angle longitude,
                          int levelNumber)

### isDrawBoundingVolumes

    public boolean isDrawBoundingVolumes()

### isDrawTileBoundaries

    public boolean isDrawTileBoundaries()

### isDrawTileIDs

    public boolean isDrawTileIDs()

### isDrawWireframe

    public boolean isDrawWireframe()

### isForceLevelZeroLoads

    public boolean isForceLevelZeroLoads()

### isLayerInView

    public boolean isLayerInView(DrawContext dc)

  Description copied from class: `AbstractLayer`
  Indicates whether the layer is in the view. The method implemented here is a default indicating the layer is in view. Subclasses able to determine their presence in the view should override this implementation.

  Overrides:
    `isLayerInView` in class `AbstractLayer`
  Parameters:
    `dc` - the current draw context
  Returns:
    `true` if the layer is in the view, `false` otherwise.

### isRetainLevelZeroTiles

    public boolean isRetainLevelZeroTiles()

### isShowImageTileOutlines

    public boolean isShowImageTileOutlines()

### isUseTransparentTextures

    public boolean isUseTransparentTextures()

### setDrawBoundingVolumes

    public void setDrawBoundingVolumes(boolean drawBoundingVolumes)

### setDrawTileBoundaries

    public void setDrawTileBoundaries(boolean drawTileBoundaries)

### setDrawTileIDs

    public void setDrawTileIDs(boolean drawTileIDs)

### setDrawWireframe

    public void setDrawWireframe(boolean drawWireframe)

### setForceLevelZeroLoads

    public void setForceLevelZeroLoads(boolean forceLevelZeroLoads)

### setRetainLevelZeroTiles

    public void setRetainLevelZeroTiles(boolean retainLevelZeroTiles)

### setShowImageTileOutlines

    public void setShowImageTileOutlines(boolean showImageTileOutlines)

### setUseTransparentTextures

    public void setUseTransparentTextures(boolean useTransparentTextures)

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractLayer`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD